[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2023-06-09 Thread Arthur Zamarin
commit: dfcc708b2ba132d5e4477149dedb08217535d154
Author: Arthur Zamarin  gentoo  org>
AuthorDate: Fri Jun  9 18:09:06 2023 +
Commit: Arthur Zamarin  gentoo  org>
CommitDate: Fri Jun  9 18:09:06 2023 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dfcc708b

dev-libs/argtable: Stabilize 2.13-r4 sparc, #908195

Signed-off-by: Arthur Zamarin  gentoo.org>

 dev-libs/argtable/argtable-2.13-r4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-libs/argtable/argtable-2.13-r4.ebuild 
b/dev-libs/argtable/argtable-2.13-r4.ebuild
index d70dc59cea54..eec319d0806a 100644
--- a/dev-libs/argtable/argtable-2.13-r4.ebuild
+++ b/dev-libs/argtable/argtable-2.13-r4.ebuild
@@ -13,7 +13,7 @@ S="${WORKDIR}"/${MY_P}
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm64 ~ia64 ~loong ~ppc ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm64 ~ia64 ~loong ~ppc ppc64 ~riscv sparc ~x86"
 IUSE="doc debug examples static-libs"
 
 PATCHES=(



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2023-06-09 Thread Arthur Zamarin
commit: 88516e31d51aa46ae19bc2a6ab275ff6838f4da2
Author: Arthur Zamarin  gentoo  org>
AuthorDate: Fri Jun  9 17:39:43 2023 +
Commit: Arthur Zamarin  gentoo  org>
CommitDate: Fri Jun  9 17:39:43 2023 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88516e31

dev-libs/argtable: Stabilize 2.13-r4 ppc64, #908195

Signed-off-by: Arthur Zamarin  gentoo.org>

 dev-libs/argtable/argtable-2.13-r4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-libs/argtable/argtable-2.13-r4.ebuild 
b/dev-libs/argtable/argtable-2.13-r4.ebuild
index f5b108d4161e..d70dc59cea54 100644
--- a/dev-libs/argtable/argtable-2.13-r4.ebuild
+++ b/dev-libs/argtable/argtable-2.13-r4.ebuild
@@ -13,7 +13,7 @@ S="${WORKDIR}"/${MY_P}
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm64 ~ia64 ~loong ~ppc ppc64 ~riscv ~sparc ~x86"
 IUSE="doc debug examples static-libs"
 
 PATCHES=(



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/, dev-libs/argtable/files/

2023-05-09 Thread Sam James
commit: 2d23fccf8d1ffc5034d1bffefce1328476d38168
Author: Brahmajit Das  gmail  com>
AuthorDate: Sat May  6 18:39:19 2023 +
Commit: Sam James  gentoo  org>
CommitDate: Tue May  9 17:50:55 2023 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d23fccf

dev-libs/argtable: fix call to undeclared library function strcmp

Closes: https://bugs.gentoo.org/885609
Signed-off-by: Brahmajit Das  gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/30899
Signed-off-by: Sam James  gentoo.org>

 dev-libs/argtable/argtable-2.13-r4.ebuild  | 49 ++
 ...able-2.13-Fix-undeclared-library-function.patch | 28 +
 2 files changed, 77 insertions(+)

diff --git a/dev-libs/argtable/argtable-2.13-r4.ebuild 
b/dev-libs/argtable/argtable-2.13-r4.ebuild
new file mode 100644
index ..f5b108d4161e
--- /dev/null
+++ b/dev-libs/argtable/argtable-2.13-r4.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PV="$(ver_rs 1 '-')"
+MY_P=${PN}${MY_PV}
+
+DESCRIPTION="An ANSI C library for parsing GNU-style command-line options with 
minimal fuss"
+HOMEPAGE="https://argtable.sourceforge.net;
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="doc debug examples static-libs"
+
+PATCHES=(
+   "${FILESDIR}"/${PN}-2.13-Fix-implicit-function-declaration.patch
+   "${FILESDIR}"/${PN}-2.13-Fix-undeclared-library-function.patch
+)
+
+src_configure() {
+   econf \
+   $(use_enable debug) \
+   $(use_enable static-libs static)
+}
+
+src_install() {
+   default
+
+   rm -rf "${ED}"/usr/share/doc/${PF}/
+
+   if use doc ; then
+   cd "${S}"/doc || die
+   dodoc *.pdf *.ps
+   docinto html
+   dodoc *.html *.gif
+   fi
+
+   if use examples ; then
+   cd "${S}"/example || die
+   docinto examples
+   dodoc Makefile *.[ch] README.txt
+   fi
+
+   find "${ED}" -name "*.la" -delete || die "failed to delete .la files"
+}

diff --git 
a/dev-libs/argtable/files/argtable-2.13-Fix-undeclared-library-function.patch 
b/dev-libs/argtable/files/argtable-2.13-Fix-undeclared-library-function.patch
new file mode 100644
index ..7f42d43727a5
--- /dev/null
+++ 
b/dev-libs/argtable/files/argtable-2.13-Fix-undeclared-library-function.patch
@@ -0,0 +1,28 @@
+From 519609d844f1e5bbf37407de8e43fa2d2be03262 Mon Sep 17 00:00:00 2001
+From: Brahmajit Das 
+Date: Sun, 7 May 2023 00:03:40 +0530
+Subject: [PATCH] Fix undeclared library function strcmp
+
+Bug: https://bugs.gentoo.org/885609
+--- a/tests/fntests.c
 b/tests/fntests.c
+@@ -1,5 +1,6 @@
+ #include "../src/argtable2.h"
+ #include 
++#include 
+
+ /* for memory leak debugging */
+ #ifdef DMALLOC
+--- a/tests/test_file.c
 b/tests/test_file.c
+@@ -21,6 +21,7 @@ USA.
+
+ #include "../src/argtable2.h"
+ #include 
++#include 
+
+ /* for memory leak debugging */
+ #ifdef DMALLOC
+--
+2.40.1
+



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2022-11-24 Thread Conrad Kostecki
commit: 1c1e18d9a5ef9d6cad3b30d944d7c2ddeb9f3cbf
Author: Michael Mair-Keimberger  levelnine  at>
AuthorDate: Fri Nov 18 15:28:21 2022 +
Commit: Conrad Kostecki  gentoo  org>
CommitDate: Thu Nov 24 18:14:41 2022 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c1e18d9

dev-libs/argtable: use HTTPS

Signed-off-by: Michael Mair-Keimberger  levelnine.at>
Signed-off-by: Conrad Kostecki  gentoo.org>

 dev-libs/argtable/argtable-2.13-r3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-libs/argtable/argtable-2.13-r3.ebuild 
b/dev-libs/argtable/argtable-2.13-r3.ebuild
index 22112e07aadc..d562b3d18266 100644
--- a/dev-libs/argtable/argtable-2.13-r3.ebuild
+++ b/dev-libs/argtable/argtable-2.13-r3.ebuild
@@ -7,7 +7,7 @@ MY_PV="$(ver_rs 1 '-')"
 MY_P=${PN}${MY_PV}
 
 DESCRIPTION="An ANSI C library for parsing GNU-style command-line options with 
minimal fuss"
-HOMEPAGE="http://argtable.sourceforge.net/;
+HOMEPAGE="https://argtable.sourceforge.net;
 SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
 S="${WORKDIR}"/${MY_P}
 



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/, dev-libs/argtable/files/

2022-10-06 Thread Sam James
commit: 28b0e6b360bca9840cba0f185df826897206bf31
Author: Sam James  gentoo  org>
AuthorDate: Thu Oct  6 17:12:23 2022 +
Commit: Sam James  gentoo  org>
CommitDate: Thu Oct  6 17:13:31 2022 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28b0e6b3

dev-libs/argtable: fix build w/ Clang 16

Closes: https://bugs.gentoo.org/871231
Signed-off-by: Sam James  gentoo.org>

 ...rgtable-2.13-r2.ebuild => argtable-2.13-r3.ebuild} | 19 ++-
 ...table-2.13-Fix-implicit-function-declaration.patch | 16 
 2 files changed, 26 insertions(+), 9 deletions(-)

diff --git a/dev-libs/argtable/argtable-2.13-r2.ebuild 
b/dev-libs/argtable/argtable-2.13-r3.ebuild
similarity index 82%
rename from dev-libs/argtable/argtable-2.13-r2.ebuild
rename to dev-libs/argtable/argtable-2.13-r3.ebuild
index 5ce3f4197fd4..22112e07aadc 100644
--- a/dev-libs/argtable/argtable-2.13-r2.ebuild
+++ b/dev-libs/argtable/argtable-2.13-r3.ebuild
@@ -3,20 +3,22 @@
 
 EAPI=8
 
-DESCRIPTION="An ANSI C library for parsing GNU-style command-line options with 
minimal fuss"
-HOMEPAGE="http://argtable.sourceforge.net/;
-
 MY_PV="$(ver_rs 1 '-')"
 MY_P=${PN}${MY_PV}
 
+DESCRIPTION="An ANSI C library for parsing GNU-style command-line options with 
minimal fuss"
+HOMEPAGE="http://argtable.sourceforge.net/;
 SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+S="${WORKDIR}"/${MY_P}
 
 LICENSE="LGPL-2"
 SLOT="0"
 KEYWORDS="~alpha amd64 ~arm64 ~ia64 ppc ppc64 ~riscv sparc x86"
 IUSE="doc debug examples static-libs"
 
-S="${WORKDIR}"/${MY_P}
+PATCHES=(
+   "${FILESDIR}"/${PN}-2.13-Fix-implicit-function-declaration.patch
+)
 
 src_configure() {
econf \
@@ -25,20 +27,19 @@ src_configure() {
 }
 
 src_install() {
-   emake DESTDIR="${D}" install
-   rm -rf "${D}"/usr/share/doc/${PF}/
+   default
 
-   dodoc AUTHORS ChangeLog NEWS README
+   rm -rf "${ED}"/usr/share/doc/${PF}/
 
if use doc ; then
-   cd "${S}/doc"
+   cd "${S}"/doc || die
dodoc *.pdf *.ps
docinto html
dodoc *.html *.gif
fi
 
if use examples ; then
-   cd "${S}/example"
+   cd "${S}"/example || die
docinto examples
dodoc Makefile *.[ch] README.txt
fi

diff --git 
a/dev-libs/argtable/files/argtable-2.13-Fix-implicit-function-declaration.patch 
b/dev-libs/argtable/files/argtable-2.13-Fix-implicit-function-declaration.patch
new file mode 100644
index ..14ade74afaa6
--- /dev/null
+++ 
b/dev-libs/argtable/files/argtable-2.13-Fix-implicit-function-declaration.patch
@@ -0,0 +1,16 @@
+From febb2928d1e72c7adc914b2ef8e0611e1a5ea3fd Mon Sep 17 00:00:00 2001
+From: Sam James 
+Date: Thu, 6 Oct 2022 18:10:52 +0100
+Subject: [PATCH] Fix implicit function declaration
+
+Bug: https://bugs.gentoo.org/871231
+--- a/src/arg_int.c
 b/src/arg_int.c
+@@ -29,6 +29,7 @@ USA.
+ /* #endif */
+ 
+ #include "argtable2.h"
++#include 
+ #include 
+ 
+ /* local error codes */



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2022-07-03 Thread Matthew Smith
commit: 1e56455be295dfe817c7cd7f37bd48f287f282c0
Author: Matthew Smith  gentoo  org>
AuthorDate: Sun Jul  3 11:47:29 2022 +
Commit: Matthew Smith  gentoo  org>
CommitDate: Sun Jul  3 11:47:57 2022 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e56455b

dev-libs/argtable: drop 2.13-r1

Signed-off-by: Matthew Smith  gentoo.org>

 dev-libs/argtable/argtable-2.13-r1.ebuild | 48 ---
 1 file changed, 48 deletions(-)

diff --git a/dev-libs/argtable/argtable-2.13-r1.ebuild 
b/dev-libs/argtable/argtable-2.13-r1.ebuild
deleted file mode 100644
index e8053275362f..
--- a/dev-libs/argtable/argtable-2.13-r1.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-inherit versionator
-
-DESCRIPTION="An ANSI C library for parsing GNU-style command-line options with 
minimal fuss"
-HOMEPAGE="http://argtable.sourceforge.net/;
-
-MY_PV="$(replace_version_separator 1 '-')"
-MY_P=${PN}${MY_PV}
-
-SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
-
-LICENSE="LGPL-2"
-SLOT="0"
-KEYWORDS="~alpha amd64 ~arm64 ~ia64 ppc ppc64 ~riscv sparc x86"
-IUSE="doc debug examples static-libs"
-
-S="${WORKDIR}/${MY_P}"
-
-src_configure() {
-   econf \
-   $(use_enable debug) \
-   $(use_enable static-libs static)
-}
-
-src_install() {
-   emake DESTDIR="${D}" install
-   rm -rf "${D}"/usr/share/doc/${PF}/
-
-   dodoc AUTHORS ChangeLog NEWS README
-
-   if use doc ; then
-   cd "${S}/doc"
-   dodoc *.pdf *.ps
-   docinto html
-   dodoc *.html *.gif
-   fi
-
-   if use examples ; then
-   cd "${S}/example"
-   docinto examples
-   dodoc Makefile *.[ch] README.txt
-   fi
-
-   find "${ED}" -name "*.la" -delete || die "failed to delete .la files"
-}



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2022-07-03 Thread Agostino Sarubbo
commit: 0c1ef1cdb29a8ce3b08afcf04af7c9f833dc712c
Author: Agostino Sarubbo  gentoo  org>
AuthorDate: Sun Jul  3 08:52:15 2022 +
Commit: Agostino Sarubbo  gentoo  org>
CommitDate: Sun Jul  3 08:52:15 2022 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c1ef1cd

dev-libs/argtable: x86 stable wrt bug #856127

Package-Manager: Portage-3.0.30, Repoman-3.0.3
RepoMan-Options: --include-arches="x86"
Signed-off-by: Agostino Sarubbo  gentoo.org>

 dev-libs/argtable/argtable-2.13-r2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-libs/argtable/argtable-2.13-r2.ebuild 
b/dev-libs/argtable/argtable-2.13-r2.ebuild
index ccc960320b68..5ce3f4197fd4 100644
--- a/dev-libs/argtable/argtable-2.13-r2.ebuild
+++ b/dev-libs/argtable/argtable-2.13-r2.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="~alpha amd64 ~arm64 ~ia64 ppc ppc64 ~riscv sparc ~x86"
+KEYWORDS="~alpha amd64 ~arm64 ~ia64 ppc ppc64 ~riscv sparc x86"
 IUSE="doc debug examples static-libs"
 
 S="${WORKDIR}"/${MY_P}



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2022-07-03 Thread Agostino Sarubbo
commit: 24441fc1cb18aa6ef4a69c6a51bb6e36983e2ce2
Author: Agostino Sarubbo  gentoo  org>
AuthorDate: Sun Jul  3 08:51:42 2022 +
Commit: Agostino Sarubbo  gentoo  org>
CommitDate: Sun Jul  3 08:51:42 2022 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=24441fc1

dev-libs/argtable: sparc stable wrt bug #856127

Package-Manager: Portage-3.0.30, Repoman-3.0.3
RepoMan-Options: --include-arches="sparc"
Signed-off-by: Agostino Sarubbo  gentoo.org>

 dev-libs/argtable/argtable-2.13-r2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-libs/argtable/argtable-2.13-r2.ebuild 
b/dev-libs/argtable/argtable-2.13-r2.ebuild
index 7481399bc30b..ccc960320b68 100644
--- a/dev-libs/argtable/argtable-2.13-r2.ebuild
+++ b/dev-libs/argtable/argtable-2.13-r2.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="~alpha amd64 ~arm64 ~ia64 ppc ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="~alpha amd64 ~arm64 ~ia64 ppc ppc64 ~riscv sparc ~x86"
 IUSE="doc debug examples static-libs"
 
 S="${WORKDIR}"/${MY_P}



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2022-07-03 Thread Agostino Sarubbo
commit: 311a662fc46079145b2151b95eb94db9ecd8feb8
Author: Agostino Sarubbo  gentoo  org>
AuthorDate: Sun Jul  3 08:50:59 2022 +
Commit: Agostino Sarubbo  gentoo  org>
CommitDate: Sun Jul  3 08:50:59 2022 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=311a662f

dev-libs/argtable: ppc64 stable wrt bug #856127

Package-Manager: Portage-3.0.30, Repoman-3.0.3
RepoMan-Options: --include-arches="ppc64"
Signed-off-by: Agostino Sarubbo  gentoo.org>

 dev-libs/argtable/argtable-2.13-r2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-libs/argtable/argtable-2.13-r2.ebuild 
b/dev-libs/argtable/argtable-2.13-r2.ebuild
index 175ab326e391..7481399bc30b 100644
--- a/dev-libs/argtable/argtable-2.13-r2.ebuild
+++ b/dev-libs/argtable/argtable-2.13-r2.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="~alpha amd64 ~arm64 ~ia64 ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="~alpha amd64 ~arm64 ~ia64 ppc ppc64 ~riscv ~sparc ~x86"
 IUSE="doc debug examples static-libs"
 
 S="${WORKDIR}"/${MY_P}



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2022-07-03 Thread Agostino Sarubbo
commit: 9dd9daec95fbcb415fc9a6d5fed626a33d5eab19
Author: Agostino Sarubbo  gentoo  org>
AuthorDate: Sun Jul  3 08:50:21 2022 +
Commit: Agostino Sarubbo  gentoo  org>
CommitDate: Sun Jul  3 08:50:21 2022 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9dd9daec

dev-libs/argtable: ppc stable wrt bug #856127

Package-Manager: Portage-3.0.30, Repoman-3.0.3
RepoMan-Options: --include-arches="ppc"
Signed-off-by: Agostino Sarubbo  gentoo.org>

 dev-libs/argtable/argtable-2.13-r2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-libs/argtable/argtable-2.13-r2.ebuild 
b/dev-libs/argtable/argtable-2.13-r2.ebuild
index ca53595fbdad..175ab326e391 100644
--- a/dev-libs/argtable/argtable-2.13-r2.ebuild
+++ b/dev-libs/argtable/argtable-2.13-r2.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="~alpha amd64 ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="~alpha amd64 ~arm64 ~ia64 ppc ~ppc64 ~riscv ~sparc ~x86"
 IUSE="doc debug examples static-libs"
 
 S="${WORKDIR}"/${MY_P}



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2022-07-03 Thread Agostino Sarubbo
commit: 49a60a747c8d848a7824474382c1fb8f555ce5e8
Author: Agostino Sarubbo  gentoo  org>
AuthorDate: Sun Jul  3 08:47:52 2022 +
Commit: Agostino Sarubbo  gentoo  org>
CommitDate: Sun Jul  3 08:47:52 2022 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49a60a74

dev-libs/argtable: amd64 stable wrt bug #856127

Package-Manager: Portage-3.0.30, Repoman-3.0.3
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo  gentoo.org>

 dev-libs/argtable/argtable-2.13-r2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-libs/argtable/argtable-2.13-r2.ebuild 
b/dev-libs/argtable/argtable-2.13-r2.ebuild
index fce9e415a002..ca53595fbdad 100644
--- a/dev-libs/argtable/argtable-2.13-r2.ebuild
+++ b/dev-libs/argtable/argtable-2.13-r2.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="~alpha amd64 ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
 IUSE="doc debug examples static-libs"
 
 S="${WORKDIR}"/${MY_P}



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2022-07-02 Thread Matthew Smith
commit: 4681f9906d2cc57a862076c074020288f60d133e
Author: Matthew Smith  gentoo  org>
AuthorDate: Sat Jul  2 09:54:57 2022 +
Commit: Matthew Smith  gentoo  org>
CommitDate: Sat Jul  2 09:55:18 2022 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4681f990

Revert "dev-libs/argtable: drop 2.13-r1"

This reverts commit a20aceab3b5f2fb399c0acdb5fc765ba023a6176.

Signed-off-by: Matthew Smith  gentoo.org>

 dev-libs/argtable/argtable-2.13-r1.ebuild | 48 +++
 1 file changed, 48 insertions(+)

diff --git a/dev-libs/argtable/argtable-2.13-r1.ebuild 
b/dev-libs/argtable/argtable-2.13-r1.ebuild
new file mode 100644
index ..e8053275362f
--- /dev/null
+++ b/dev-libs/argtable/argtable-2.13-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit versionator
+
+DESCRIPTION="An ANSI C library for parsing GNU-style command-line options with 
minimal fuss"
+HOMEPAGE="http://argtable.sourceforge.net/;
+
+MY_PV="$(replace_version_separator 1 '-')"
+MY_P=${PN}${MY_PV}
+
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm64 ~ia64 ppc ppc64 ~riscv sparc x86"
+IUSE="doc debug examples static-libs"
+
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+   econf \
+   $(use_enable debug) \
+   $(use_enable static-libs static)
+}
+
+src_install() {
+   emake DESTDIR="${D}" install
+   rm -rf "${D}"/usr/share/doc/${PF}/
+
+   dodoc AUTHORS ChangeLog NEWS README
+
+   if use doc ; then
+   cd "${S}/doc"
+   dodoc *.pdf *.ps
+   docinto html
+   dodoc *.html *.gif
+   fi
+
+   if use examples ; then
+   cd "${S}/example"
+   docinto examples
+   dodoc Makefile *.[ch] README.txt
+   fi
+
+   find "${ED}" -name "*.la" -delete || die "failed to delete .la files"
+}



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2022-07-02 Thread Matthew Smith
commit: 2914c1a90c0bdd71041fec35a95d04447d2469b1
Author: Matthew Smith  gentoo  org>
AuthorDate: Sat Jul  2 09:27:52 2022 +
Commit: Matthew Smith  gentoo  org>
CommitDate: Sat Jul  2 09:38:03 2022 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2914c1a9

dev-libs/argtable: update EAPI 6 -> 8

Signed-off-by: Matthew Smith  gentoo.org>

 dev-libs/argtable/argtable-2.13-r2.ebuild | 47 +++
 1 file changed, 47 insertions(+)

diff --git a/dev-libs/argtable/argtable-2.13-r2.ebuild 
b/dev-libs/argtable/argtable-2.13-r2.ebuild
new file mode 100644
index ..fce9e415a002
--- /dev/null
+++ b/dev-libs/argtable/argtable-2.13-r2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="An ANSI C library for parsing GNU-style command-line options with 
minimal fuss"
+HOMEPAGE="http://argtable.sourceforge.net/;
+
+MY_PV="$(ver_rs 1 '-')"
+MY_P=${PN}${MY_PV}
+
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="doc debug examples static-libs"
+
+S="${WORKDIR}"/${MY_P}
+
+src_configure() {
+   econf \
+   $(use_enable debug) \
+   $(use_enable static-libs static)
+}
+
+src_install() {
+   emake DESTDIR="${D}" install
+   rm -rf "${D}"/usr/share/doc/${PF}/
+
+   dodoc AUTHORS ChangeLog NEWS README
+
+   if use doc ; then
+   cd "${S}/doc"
+   dodoc *.pdf *.ps
+   docinto html
+   dodoc *.html *.gif
+   fi
+
+   if use examples ; then
+   cd "${S}/example"
+   docinto examples
+   dodoc Makefile *.[ch] README.txt
+   fi
+
+   find "${ED}" -name "*.la" -delete || die "failed to delete .la files"
+}



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2022-07-02 Thread Matthew Smith
commit: a20aceab3b5f2fb399c0acdb5fc765ba023a6176
Author: Matthew Smith  gentoo  org>
AuthorDate: Sat Jul  2 09:28:44 2022 +
Commit: Matthew Smith  gentoo  org>
CommitDate: Sat Jul  2 09:38:07 2022 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a20aceab

dev-libs/argtable: drop 2.13-r1

Signed-off-by: Matthew Smith  gentoo.org>

 dev-libs/argtable/argtable-2.13-r1.ebuild | 48 ---
 1 file changed, 48 deletions(-)

diff --git a/dev-libs/argtable/argtable-2.13-r1.ebuild 
b/dev-libs/argtable/argtable-2.13-r1.ebuild
deleted file mode 100644
index e8053275362f..
--- a/dev-libs/argtable/argtable-2.13-r1.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-inherit versionator
-
-DESCRIPTION="An ANSI C library for parsing GNU-style command-line options with 
minimal fuss"
-HOMEPAGE="http://argtable.sourceforge.net/;
-
-MY_PV="$(replace_version_separator 1 '-')"
-MY_P=${PN}${MY_PV}
-
-SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
-
-LICENSE="LGPL-2"
-SLOT="0"
-KEYWORDS="~alpha amd64 ~arm64 ~ia64 ppc ppc64 ~riscv sparc x86"
-IUSE="doc debug examples static-libs"
-
-S="${WORKDIR}/${MY_P}"
-
-src_configure() {
-   econf \
-   $(use_enable debug) \
-   $(use_enable static-libs static)
-}
-
-src_install() {
-   emake DESTDIR="${D}" install
-   rm -rf "${D}"/usr/share/doc/${PF}/
-
-   dodoc AUTHORS ChangeLog NEWS README
-
-   if use doc ; then
-   cd "${S}/doc"
-   dodoc *.pdf *.ps
-   docinto html
-   dodoc *.html *.gif
-   fi
-
-   if use examples ; then
-   cd "${S}/example"
-   docinto examples
-   dodoc Makefile *.[ch] README.txt
-   fi
-
-   find "${ED}" -name "*.la" -delete || die "failed to delete .la files"
-}



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2021-08-21 Thread Marek Szuba
commit: 9b5336a29778093ebb24b25b901984b8098ccca8
Author: Marek Szuba  gentoo  org>
AuthorDate: Sun Aug 22 00:00:03 2021 +
Commit: Marek Szuba  gentoo  org>
CommitDate: Sun Aug 22 00:07:46 2021 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9b5336a2

dev-libs/argtable: keyword 2.13-r1 for ~riscv

Signed-off-by: Marek Szuba  gentoo.org>

 dev-libs/argtable/argtable-2.13-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-libs/argtable/argtable-2.13-r1.ebuild 
b/dev-libs/argtable/argtable-2.13-r1.ebuild
index ac169e18b6d..e8053275362 100644
--- a/dev-libs/argtable/argtable-2.13-r1.ebuild
+++ b/dev-libs/argtable/argtable-2.13-r1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="~alpha amd64 ~arm64 ~ia64 ppc ppc64 sparc x86"
+KEYWORDS="~alpha amd64 ~arm64 ~ia64 ppc ppc64 ~riscv sparc x86"
 IUSE="doc debug examples static-libs"
 
 S="${WORKDIR}/${MY_P}"



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2021-01-03 Thread Sergei Trofimovich
commit: 5c3fea2e3411500bf5a4c82793b5478631065e56
Author: Sergei Trofimovich  gentoo  org>
AuthorDate: Sun Jan  3 11:54:10 2021 +
Commit: Sergei Trofimovich  gentoo  org>
CommitDate: Sun Jan  3 12:09:57 2021 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c3fea2e

dev-libs/argtable: stable 2.13-r1 for ppc64

stable wrt bug #762496

Package-Manager: Portage-3.0.12, Repoman-3.0.2
RepoMan-Options: --include-arches="ppc64"
Signed-off-by: Sergei Trofimovich  gentoo.org>

 dev-libs/argtable/argtable-2.13-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-libs/argtable/argtable-2.13-r1.ebuild 
b/dev-libs/argtable/argtable-2.13-r1.ebuild
index 20c7cc4d44e..ac169e18b6d 100644
--- a/dev-libs/argtable/argtable-2.13-r1.ebuild
+++ b/dev-libs/argtable/argtable-2.13-r1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="~alpha amd64 ~arm64 ~ia64 ppc ~ppc64 sparc x86"
+KEYWORDS="~alpha amd64 ~arm64 ~ia64 ppc ppc64 sparc x86"
 IUSE="doc debug examples static-libs"
 
 S="${WORKDIR}/${MY_P}"



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2020-12-31 Thread Sergei Trofimovich
commit: 572bd0c854043c49a01108fe01db5ca6b59585ac
Author: Rolf Eike Beer  sf-mail  de>
AuthorDate: Thu Dec 31 10:52:09 2020 +
Commit: Sergei Trofimovich  gentoo  org>
CommitDate: Thu Dec 31 11:22:07 2020 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=572bd0c8

dev-libs/argtable: stable 2.13-r1 for sparc, bug #762496

Package-Manager: Portage-3.0.9, Repoman-3.0.2
RepoMan-Options: --include-arches="sparc"
Signed-off-by: Rolf Eike Beer  sf-mail.de>
Signed-off-by: Sergei Trofimovich  gentoo.org>

 dev-libs/argtable/argtable-2.13-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-libs/argtable/argtable-2.13-r1.ebuild 
b/dev-libs/argtable/argtable-2.13-r1.ebuild
index bb91214c70f..43524040b1e 100644
--- a/dev-libs/argtable/argtable-2.13-r1.ebuild
+++ b/dev-libs/argtable/argtable-2.13-r1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="~alpha amd64 ~arm64 ~ia64 ~ppc ~ppc64 ~sparc x86"
+KEYWORDS="~alpha amd64 ~arm64 ~ia64 ~ppc ~ppc64 sparc x86"
 IUSE="doc debug examples static-libs"
 
 S="${WORKDIR}/${MY_P}"



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2020-07-04 Thread Mart Raudsepp
commit: 31d42b697867976aa7ad73c3d0e26190724553e2
Author: Sam James (sam_c)  cmpct  info>
AuthorDate: Thu Jul  2 22:19:29 2020 +
Commit: Mart Raudsepp  gentoo  org>
CommitDate: Sat Jul  4 12:28:01 2020 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31d42b69

dev-libs/argtable: arm64 keyworded (bug #730634)

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Sam James (sam_c)  cmpct.info>
Signed-off-by: Mart Raudsepp  gentoo.org>

 dev-libs/argtable/argtable-2.13-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-libs/argtable/argtable-2.13-r1.ebuild 
b/dev-libs/argtable/argtable-2.13-r1.ebuild
index c36d3e6638a..bb91214c70f 100644
--- a/dev-libs/argtable/argtable-2.13-r1.ebuild
+++ b/dev-libs/argtable/argtable-2.13-r1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="~alpha amd64 ~ia64 ~ppc ~ppc64 ~sparc x86"
+KEYWORDS="~alpha amd64 ~arm64 ~ia64 ~ppc ~ppc64 ~sparc x86"
 IUSE="doc debug examples static-libs"
 
 S="${WORKDIR}/${MY_P}"



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2020-05-30 Thread Matt Turner
commit: 14ad1c09ce005daa788d0a273d9e16f6d20037d9
Author: Matt Turner  gentoo  org>
AuthorDate: Sun May 31 02:25:15 2020 +
Commit: Matt Turner  gentoo  org>
CommitDate: Sun May 31 02:25:32 2020 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=14ad1c09

dev-libs/argtable: Keyword 2.13-r1 alpha, #710676

Signed-off-by: Matt Turner  gentoo.org>

 dev-libs/argtable/argtable-2.13-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-libs/argtable/argtable-2.13-r1.ebuild 
b/dev-libs/argtable/argtable-2.13-r1.ebuild
index 829aee6e72b..c36d3e6638a 100644
--- a/dev-libs/argtable/argtable-2.13-r1.ebuild
+++ b/dev-libs/argtable/argtable-2.13-r1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="amd64 ~ia64 ~ppc ~ppc64 ~sparc x86"
+KEYWORDS="~alpha amd64 ~ia64 ~ppc ~ppc64 ~sparc x86"
 IUSE="doc debug examples static-libs"
 
 S="${WORKDIR}/${MY_P}"



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2020-03-02 Thread Sergei Trofimovich
commit: b79bf7e6d994bcf86fe7223a12a8ee53efba1d41
Author: Sergei Trofimovich  gentoo  org>
AuthorDate: Mon Mar  2 11:28:19 2020 +
Commit: Sergei Trofimovich  gentoo  org>
CommitDate: Mon Mar  2 11:28:19 2020 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b79bf7e6

dev-libs/argtable: keyworded 2.13-r1 for ppc64, bug #710676

Package-Manager: Portage-2.3.88, Repoman-2.3.20
RepoMan-Options: --include-arches="ppc64"
Signed-off-by: Sergei Trofimovich  gentoo.org>

 dev-libs/argtable/argtable-2.13-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-libs/argtable/argtable-2.13-r1.ebuild 
b/dev-libs/argtable/argtable-2.13-r1.ebuild
index 4c0a9bad720..829aee6e72b 100644
--- a/dev-libs/argtable/argtable-2.13-r1.ebuild
+++ b/dev-libs/argtable/argtable-2.13-r1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="amd64 ~ia64 ~ppc ~sparc x86"
+KEYWORDS="amd64 ~ia64 ~ppc ~ppc64 ~sparc x86"
 IUSE="doc debug examples static-libs"
 
 S="${WORKDIR}/${MY_P}"



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2020-03-02 Thread Sergei Trofimovich
commit: 5e6b6e497b594053bbb33addca7ec656f57275a8
Author: Sergei Trofimovich  gentoo  org>
AuthorDate: Mon Mar  2 11:05:57 2020 +
Commit: Sergei Trofimovich  gentoo  org>
CommitDate: Mon Mar  2 11:05:57 2020 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e6b6e49

dev-libs/argtable: keyworded 2.13-r1 for ppc, bug #710676

Package-Manager: Portage-2.3.88, Repoman-2.3.20
RepoMan-Options: --include-arches="ppc"
Signed-off-by: Sergei Trofimovich  gentoo.org>

 dev-libs/argtable/argtable-2.13-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-libs/argtable/argtable-2.13-r1.ebuild 
b/dev-libs/argtable/argtable-2.13-r1.ebuild
index 07d0998de0f..4c0a9bad720 100644
--- a/dev-libs/argtable/argtable-2.13-r1.ebuild
+++ b/dev-libs/argtable/argtable-2.13-r1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="amd64 ~ia64 ~sparc x86"
+KEYWORDS="amd64 ~ia64 ~ppc ~sparc x86"
 IUSE="doc debug examples static-libs"
 
 S="${WORKDIR}/${MY_P}"



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2020-03-02 Thread Sergei Trofimovich
commit: 26a18955c75c210e5da29ab7fcadf6ebbcbab91a
Author: Sergei Trofimovich  gentoo  org>
AuthorDate: Mon Mar  2 11:01:08 2020 +
Commit: Sergei Trofimovich  gentoo  org>
CommitDate: Mon Mar  2 11:01:24 2020 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=26a18955

dev-libs/argtable: keyworded 2.13-r1 for ia64, bug #710676

Package-Manager: Portage-2.3.88, Repoman-2.3.20
RepoMan-Options: --include-arches="ia64"
Signed-off-by: Sergei Trofimovich  gentoo.org>

 dev-libs/argtable/argtable-2.13-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-libs/argtable/argtable-2.13-r1.ebuild 
b/dev-libs/argtable/argtable-2.13-r1.ebuild
index 584844fac64..07d0998de0f 100644
--- a/dev-libs/argtable/argtable-2.13-r1.ebuild
+++ b/dev-libs/argtable/argtable-2.13-r1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="amd64 ~sparc x86"
+KEYWORDS="amd64 ~ia64 ~sparc x86"
 IUSE="doc debug examples static-libs"
 
 S="${WORKDIR}/${MY_P}"



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2020-02-26 Thread Sergei Trofimovich
commit: abed760ce88e75b48d08e7bfc99845741827dad0
Author: Rolf Eike Beer  sf-mail  de>
AuthorDate: Wed Feb 26 15:38:08 2020 +
Commit: Sergei Trofimovich  gentoo  org>
CommitDate: Wed Feb 26 16:32:43 2020 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=abed760c

dev-libs/argtable: keyworded 2.13-r1 for sparc, bug #710676

Package-Manager: Portage-2.3.84, Repoman-2.3.20
RepoMan-Options: --include-arches="sparc"
Signed-off-by: Rolf Eike Beer  sf-mail.de>
Signed-off-by: Sergei Trofimovich  gentoo.org>

 dev-libs/argtable/argtable-2.13-r1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-libs/argtable/argtable-2.13-r1.ebuild 
b/dev-libs/argtable/argtable-2.13-r1.ebuild
index bebef16f0f4..584844fac64 100644
--- a/dev-libs/argtable/argtable-2.13-r1.ebuild
+++ b/dev-libs/argtable/argtable-2.13-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -14,7 +14,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="amd64 x86"
+KEYWORDS="amd64 ~sparc x86"
 IUSE="doc debug examples static-libs"
 
 S="${WORKDIR}/${MY_P}"



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2017-12-26 Thread Mikle Kolyada
commit: 9daceab62525df8777297aff82f2cdf1c243b713
Author: Mikle Kolyada  gentoo  org>
AuthorDate: Tue Dec 26 17:00:40 2017 +
Commit: Mikle Kolyada  gentoo  org>
CommitDate: Tue Dec 26 17:00:40 2017 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9daceab6

dev-libs/argtable: Drop revision with old EAPI

Package-Manager: Portage-2.3.13, Repoman-2.3.3

 dev-libs/argtable/argtable-2.13.ebuild | 47 --
 1 file changed, 47 deletions(-)

diff --git a/dev-libs/argtable/argtable-2.13.ebuild 
b/dev-libs/argtable/argtable-2.13.ebuild
deleted file mode 100644
index eb1d1ecaed6..000
--- a/dev-libs/argtable/argtable-2.13.ebuild
+++ /dev/null
@@ -1,47 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=3
-inherit versionator
-
-DESCRIPTION="An ANSI C library for parsing GNU-style command-line options with 
minimal fuss"
-HOMEPAGE="http://argtable.sourceforge.net/;
-
-MY_PV="$(replace_version_separator 1 '-')"
-MY_P=${PN}${MY_PV}
-
-SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
-
-LICENSE="LGPL-2"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="doc debug examples static-libs"
-
-S="${WORKDIR}/${MY_P}"
-
-src_configure() {
-   econf \
-   $(use_enable debug) \
-   $(use_enable static-libs static)
-}
-
-src_install() {
-   emake DESTDIR="${D}" install || die "install failed"
-   rm -rf "${D}"/usr/share/doc/${PN}2/
-
-   dodoc AUTHORS ChangeLog NEWS README || die "dodoc failed"
-
-   if use doc ; then
-   cd "${S}/doc"
-   dohtml *.html *.gif || die "dohtml failed"
-   dodoc *.pdf *.ps || die "dodoc failed"
-   fi
-
-   if use examples ; then
-   cd "${S}/example"
-   docinto examples
-   dodoc Makefile *.[ch] README.txt || die "dodoc failed"
-   fi
-
-   find "${ED}" -name "*.la" -delete || die "failed to delete .la files"
-}



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2017-12-26 Thread Mikle Kolyada
commit: 917727e74bdb97a4be35cb5ce03e5c1f97df457d
Author: Mikle Kolyada  gentoo  org>
AuthorDate: Tue Dec 26 16:59:18 2017 +
Commit: Mikle Kolyada  gentoo  org>
CommitDate: Tue Dec 26 16:59:53 2017 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=917727e7

dev-libs/argtable: amd64/x86 stable

Package-Manager: Portage-2.3.13, Repoman-2.3.3

 dev-libs/argtable/argtable-2.13-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-libs/argtable/argtable-2.13-r1.ebuild 
b/dev-libs/argtable/argtable-2.13-r1.ebuild
index 2c4752d6da8..bebef16f0f4 100644
--- a/dev-libs/argtable/argtable-2.13-r1.ebuild
+++ b/dev-libs/argtable/argtable-2.13-r1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 x86"
 IUSE="doc debug examples static-libs"
 
 S="${WORKDIR}/${MY_P}"



[gentoo-commits] repo/gentoo:master commit in: dev-libs/argtable/

2017-12-26 Thread Andreas Hüttel
commit: 286536eba9100c01104c90a7f05f75799e8b78f5
Author: Andreas K. Hüttel  gentoo  org>
AuthorDate: Tue Dec 26 09:31:58 2017 +
Commit: Andreas Hüttel  gentoo  org>
CommitDate: Tue Dec 26 09:32:29 2017 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=286536eb

dev-libs/argtable: EAPI bump

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-libs/argtable/argtable-2.13-r1.ebuild | 48 +++
 1 file changed, 48 insertions(+)

diff --git a/dev-libs/argtable/argtable-2.13-r1.ebuild 
b/dev-libs/argtable/argtable-2.13-r1.ebuild
new file mode 100644
index 000..2c4752d6da8
--- /dev/null
+++ b/dev-libs/argtable/argtable-2.13-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit versionator
+
+DESCRIPTION="An ANSI C library for parsing GNU-style command-line options with 
minimal fuss"
+HOMEPAGE="http://argtable.sourceforge.net/;
+
+MY_PV="$(replace_version_separator 1 '-')"
+MY_P=${PN}${MY_PV}
+
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc debug examples static-libs"
+
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+   econf \
+   $(use_enable debug) \
+   $(use_enable static-libs static)
+}
+
+src_install() {
+   emake DESTDIR="${D}" install
+   rm -rf "${D}"/usr/share/doc/${PF}/
+
+   dodoc AUTHORS ChangeLog NEWS README
+
+   if use doc ; then
+   cd "${S}/doc"
+   dodoc *.pdf *.ps
+   docinto html
+   dodoc *.html *.gif
+   fi
+
+   if use examples ; then
+   cd "${S}/example"
+   docinto examples
+   dodoc Makefile *.[ch] README.txt
+   fi
+
+   find "${ED}" -name "*.la" -delete || die "failed to delete .la files"
+}